commit 9c401a369a4dc34714c65893e268d32803c17ddd
Author: freddy77 <freddy77>
Date:   Fri Jan 22 10:43:48 2010 +0000

    do not define tds_swap_datatype if not needed

diff --git a/ChangeLog b/ChangeLog
index f49eed6..f92ab09 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Jan 22 11:43:29 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/tds/token.c:
+	- do not define tds_swap_datatype if not needed
+
 Fri Jan 22 10:37:50 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/Makefile.am: do not clean VC++ project files
 
@@ -2144,4 +2148,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2944 2010/01/22 09:37:58 freddy77 Exp $
+$Id: ChangeLog,v 1.2945 2010/01/22 10:43:48 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index c278da4..634d348 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -1,5 +1,6 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
  * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005  Brian Bruns
+ * Copyright (C) 2010  Frediano Ziglio
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -20,7 +21,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.325 2010/01/11 18:14:10 freddy77 Exp $ */
+/* $Id: tds.h,v 1.326 2010/01/22 10:43:48 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -1516,7 +1517,9 @@ int tds_multiple_execute(TDSSOCKET *tds, TDSMULTIPLE *multiple, TDSDYNAMIC * dyn
 
 /* token.c */
 int tds_process_cancel(TDSSOCKET * tds);
+#ifdef WORDS_BIGENDIAN
 void tds_swap_datatype(int coltype, unsigned char *buf);
+#endif
 void tds_swap_numeric(TDS_NUMERIC *num);
 int tds_get_token_size(int marker);
 int tds_process_login_tokens(TDSSOCKET * tds);
diff --git a/src/tds/token.c b/src/tds/token.c
index f8140b4..22ad851 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -1,6 +1,6 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
  * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005  Brian Bruns
- * Copyright (C) 2005, 2006, 2007, 2008  Frediano Ziglio
+ * Copyright (C) 2005-2010  Frediano Ziglio
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.378 2010/01/11 17:56:30 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.379 2010/01/22 10:43:48 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -3016,6 +3016,7 @@ tds_get_token_size(int marker)
 	}
 }
 
+#ifdef WORDS_BIGENDIAN
 void
 tds_swap_datatype(int coltype, unsigned char *buf)
 {
@@ -3048,6 +3049,7 @@ tds_swap_datatype(int coltype, unsigned char *buf)
 		break;
 	}
 }
+#endif
 
 void
 tds_swap_numeric(TDS_NUMERIC *num)

